const { cwd } = require('process');
const { vitePluginAddExtensionId } = require('./plugin/vite-plugin-add-extension-id');
const { vitePluginTransformExtensionHtml } = require('./plugin/vite-plugin-transform-extension-html');
const { getDistPath } = require('../util');

// https://vitejs.dev/config/
module.exports = {
  viteConfig: (pageEntry) => {
    return {
      plugins: [vitePluginTransformExtensionHtml(), vitePluginAddExtensionId()],
      base: '/',
      root: cwd(),
      build: {
        minify: false,
        emptyOutDir: false,
        copyPublicDir: false,
        rollupOptions: {
          input: pageEntry,
          output: {
            entryFileNames: '[name].[hash].js',
            chunkFileNames: '[name].[hash].js',
            assetFileNames: '[name].[hash].[ext]',
            compact: true,
            inlineDynamicImports: false,
            dir: getDistPath()
          },
          watch: {
            include: './extensions'
          }
        }
      }
    };
  }
};
