const colors = require('colors');

function isDebug() {
  return ~process.argv.indexOf('--debug');
}

function consoleError(...args) {
  if (isDebug()) {
    console.trace(args);
  }
  console.log(colors.red(args.join(' ')));
}

function consoleBlue(...args) {
  console.log(colors.blue(args.join(' ')));
}

function consoleSuccess(...args) {
  console.log(colors.green(args.join(' ')));
}

function consoleWarn(...args) {
  console.log(colors.yellow(args.join(' ')));
}

module.exports = {
  isDebug,
  consoleError,
  consoleSuccess,
  consoleBlue,
  consoleWarn
};
