const api = require('./api');
const loading = require('loading-cli');
const { verifyConfig } = require('./verify');
const { getExtensionInfo, getExtensionConfig } = require('./util');

module.exports = async (commands = {}) => {
  await verifyConfig(commands);
  const info = getExtensionInfo(commands.id);
  const config = getExtensionConfig(commands.id);
  const deleteLoading = loading(`Delete the extension '${info.id}'.`).start();
  await Promise.all([
    api.deleteExtension({
      extension_id: info.id,
      version: config.version
    })
  ])
    .then(() => {
      deleteLoading.succeed(`Delete the extension '${info.id}' succeed.`);
    })
    .catch(() => {
      deleteLoading.fail(`Delete the extension '${info.id}' failed.`).fail();
    })
    .finally(() => {
      deleteLoading.stop();
    });
};
