const api = require('./api');
const { consoleError } = require('./console');
const { verifyConfig } = require('./verify');
const { getExtensionInfo, getExtensionConfig } = require('./util');

async function updateConfig(commands = {}) {
  await verifyConfig(commands);
  const info = getExtensionInfo(commands.id);
  const config = getExtensionConfig(commands.id);
  const data = {
    extension_id: info.id,
    fields: JSON.stringify(config),
    version: config.version
  };
  try {
    if (commands.update) {
      await api.updateFields(data);
    } else {
      await api.pushFields(data);
    }
  } catch (err) {
    consoleError('update config fail.');
    throw 'update_fields_error';
  }
}

module.exports = {
  updateConfig
};
