function makeCheckoutCommand(_program) {
  const program = _program.command('checkout').description('Shoplazza checkout cli');

  program.command('create').description('create a extension project').action(require('./create').createProject);

  program.command('extension').description('create a new  extension').action(require('./create').createExtension);

  program
    .command('build')
    .description('Some commands related to the build')
    .option('-i, --id <token>', 'extension id (option)')
    .option('-d, --debug', 'debug mode')
    .action(require('./build').cliBuild);

  program
    .command('config')
    .description('update config')
    .option('-i, --id <token>', 'extension id')
    .option('-u --update', 'is update extension?')
    .action(require('./fields').updateConfig);

  program
    .command('list')
    .description('fetch extension list.')
    .option('-i, --id <token>', 'extension id')
    .action(require('./pull'));

  program
    .command('delete')
    .description('delete extension')
    .option('-i, --id <token>', 'extension id')
    .action(require('./delete'));

  program
    .command('dev')
    .description('dev mode')
    .option('-i, --id <token>', 'extension id')
    .action(require('./dev').startDev);

  program
    .command('preview')
    .description('preview extension')
    .action(require('./preview'));

  program
    .command('push')
    .description('push extension.')
    .action(require('./push'));

  program
    .command('deploy')
    .description('deploy extension')
    .action(require('./deploy'));

  program
    .command('undeploy')
    .description('undeploy extension')
    .action(require('./undeploy'));
}

module.exports = {
  makeCheckoutCommand
};
