const api = require('./api');
const { consoleError } = require('./console');
const {  getProjectConfig } = require('./util');

async function verifyConfig(commands) {
  const configJson = getProjectConfig();
  if (!configJson.token || !configJson.store) {
    consoleError(`Must provide the token and store of the shop in extension.config.js config file.`);
    throw 'not_exist_token_or_store';
  }
  return configJson;
}

module.exports = {
  verifyConfig
};
